This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 76995 - RFE: Kickstart installation trees on satellite
RFE: Kickstart installation trees on satellite
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
Fanny Augustin
:
Depends On:
Blocks: 101151
  Show dependency treegraph
 
Reported: 2002-10-30 14:21 EST by Greg DeKoenigsberg
Modified: 2007-07-31 10:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-04 14:08:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Greg DeKoenigsberg 2002-10-30 14:21:50 EST
THE GOAL:  To allow kickstart installation trees to co-exist peacefully on a
satellite server.  To reconcile the differences in the file structures between
kickstart install trees and RHN storage trees, so that necessary file storage
space is minimized.

THE PROPOSAL: A script of some kind that allows an administrator to scan the
list of RPMS from CD.  If an RPM already exists on the RHN storage tree, create
a link to that RPM in the kickstart install tree.  If the RPM does not exist on
the RHN storage tree, copy that RPM to the kickstart install tree.  This script
could be re-run occasionally to clear out any duplicates that may appear over time.

Mihai, this is your ball.
Comment 1 Todd Warner 2002-11-13 11:27:58 EST
Also... need to investigate whether this is feasable for an RHN Proxy.
Comment 2 Mihai Ibanescu 2003-09-16 14:22:22 EDT
Chip, I know you did some work on this. Feel free to close/realign/etc.
Comment 3 Greg DeKoenigsberg 2003-09-19 12:23:20 EDT
Deferred to rhn290.  Apparently this is waiting on schema from pjones.
Comment 4 Greg DeKoenigsberg 2003-10-08 20:39:14 EDT
Aligning to the big rhn290 kickstart bug to raise profile -- Chip, is this one
done?  Is the description even correct anymore?
Comment 5 Chip Turner 2003-10-10 15:20:31 EDT
yes, this is now done
Comment 6 Greg DeKoenigsberg 2003-10-23 01:36:37 EDT
DOC NOTES: Internal, disregard
Comment 7 Matt Jamison 2004-02-04 14:08:29 EST
closing.

Note You need to log in before you can comment on or make changes to this bug.